<!doctype html>
<html>
<head>
    <title>Tor 0.3.3.8 is released! | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor 0.3.3.8 is released! | Tor Project">
    <meta property="og:description" content="Hello, everyone! We have a new stable release today. If you build Tor from source, you can download the source code for 0.3.3.8 on the website. Packages should be available within the next several weeks, with a new stable Tor Browser by some time in September. (Don&#39;t worry, this isn&#39;t an urgent release for clients.) Tor 0.3.3.8 backports several changes from the 0.3.4.x series, including fixes for a memory leak affecting directory authorities. Changes in version 0.3.3.8 - 2018-07-09 Major bugfixes (directory authority, backport from 0.3.4.3-alpha): Stop leaking memory on directory authorities when planning to vote. This bug was crashing authorities by exhausting their memory. Fixes bug 26435; bugfix on 0.3.3.6. Major bugfixes (rust, testing, backport from 0.3.4.3-alpha): Make sure that failing tests in Rust will actually cause the build to fail: previously, they were ignored. Fixes bug 26258; bugfix on 0.3.3.4-alpha.">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-0338-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor 0.3.3.8 is released!
      </h1>
    <p class="meta">by nickm | July 9, 2018</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Hello, everyone!</p>
<p>We have a new stable release today. If you build Tor from source, you can download the source code for 0.3.3.8 on the website.  Packages should be available within the next several weeks, with a new stable Tor Browser by some time in September. (Don't worry, this isn't an urgent release for clients.)</p>
<p>Tor 0.3.3.8 backports several changes from the 0.3.4.x series, including fixes for a memory leak affecting directory authorities.</p>
<h2>Changes in version 0.3.3.8 - 2018-07-09</h2>
<ul>
<li>Major bugfixes (directory authority, backport from 0.3.4.3-alpha):
<ul>
<li>Stop leaking memory on directory authorities when planning to vote. This bug was crashing authorities by exhausting their memory. Fixes bug <a href="https://bugs.torproject.org/26435">26435</a>; bugfix on 0.3.3.6.</li>
</ul>
</li>
<li>Major bugfixes (rust, testing, backport from 0.3.4.3-alpha):
<ul>
<li>Make sure that failing tests in Rust will actually cause the build to fail: previously, they were ignored. Fixes bug <a href="https://bugs.torproject.org/26258">26258</a>; bugfix on 0.3.3.4-alpha.</li>
</ul>
</li>
</ul>
<p> </p>
<!--break--><ul>
<li>Minor features (compilation, backport from 0.3.4.4-rc):
<ul>
<li>When building Tor, prefer to use Python 3 over Python 2, and more recent (contemplated) versions over older ones. Closes ticket <a href="https://bugs.torproject.org/26372">26372</a>.</li>
</ul>
</li>
<li>Minor features (geoip):
<ul>
<li>Update geoip and geoip6 to the July 3 2018 Maxmind GeoLite2 Country database. Closes ticket <a href="https://bugs.torproject.org/26674">26674</a>.</li>
</ul>
</li>
<li>Minor features (relay, diagnostic, backport from 0.3.4.3-alpha):
<ul>
<li>Add several checks to detect whether Tor relays are uploading their descriptors without specifying why they regenerated them. Diagnostic for ticket <a href="https://bugs.torproject.org/25686">25686</a>.</li>
</ul>
</li>
<li>Minor bugfixes (circuit path selection, backport from 0.3.4.1-alpha):
<ul>
<li>Don't count path selection failures as circuit build failures. This change should eliminate cases where Tor blames its guard or the network for situations like insufficient microdescriptors and/or overly restrictive torrc settings. Fixes bug <a href="https://bugs.torproject.org/25705">25705</a>; bugfix on 0.3.3.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (compilation, backport from 0.3.4.4-rc):
<ul>
<li>Fix a compilation warning on some versions of GCC when building code that calls routerinfo_get_my_routerinfo() twice, assuming that the second call will succeed if the first one did. Fixes bug <a href="https://bugs.torproject.org/26269">26269</a>; bugfix on 0.2.8.2-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (control port, backport from 0.3.4.4-rc):
<ul>
<li>Handle the HSADDRESS= argument to the HSPOST command properly. (Previously, this argument was misparsed and thus ignored.) Fixes bug <a href="https://bugs.torproject.org/26523">26523</a>; bugfix on 0.3.3.1-alpha. Patch by "akwizgran".</li>
</ul>
</li>
<li>Minor bugfixes (memory, correctness, backport from 0.3.4.4-rc):
<ul>
<li>Fix a number of small memory leaks identified by coverity. Fixes bug <a href="https://bugs.torproject.org/26467">26467</a>; bugfix on numerous Tor versions.</li>
</ul>
</li>
<li>Minor bugfixes (relay, backport from 0.3.4.3-alpha):
<ul>
<li>Relays now correctly block attempts to re-extend to the previous relay by Ed25519 identity. Previously they would warn in this case, but not actually reject the attempt. Fixes bug <a href="https://bugs.torproject.org/26158">26158</a>; bugfix on 0.3.0.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (restart-in-process, backport from 0.3.4.1-alpha):
<ul>
<li>When shutting down, Tor now clears all the flags in the control.c module. This should prevent a bug where authentication cookies are not generated on restart. Fixes bug <a href="https://bugs.torproject.org/25512">25512</a>; bugfix on 0.3.3.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (testing, compatibility, backport from 0.3.4.4-rc):
<ul>
<li>When running the hs_ntor_ref.py test, make sure only to pass strings (rather than "bytes" objects) to the Python subprocess module. Python 3 on Windows seems to require this. Fixes bug <a href="https://bugs.torproject.org/26535">26535</a>; bugfix on 0.3.1.1-alpha.</li>
<li>When running the ntor_ref.py test, make sure only to pass strings (rather than "bytes" objects) to the Python subprocess module. Python 3 on Windows seems to require this. Fixes bug <a href="https://bugs.torproject.org/26535">26535</a>; bugfix on 0.2.5.5-alpha.</li>
</ul>
</li>
</ul>

    </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-276108"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276108" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>MrMxo (not verified)</span> said:</p>
      <p class="date-time">July 10, 2018</p>
    </div>
    <a href="#comment-276108">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276108" class="permalink" rel="bookmark">Thanks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-276110"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276110" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 10, 2018</p>
    </div>
    <a href="#comment-276110">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276110" class="permalink" rel="bookmark">Any idea why verifying…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Any idea why verifying checksums fail for tor browser for windows. I downloaded it multiple times but get them wrong all the time.<br />
Here is my output for sha256sum:<br />
475b2207314ddbf28ee79651b5d1154d59699e7b76a3b5081dce3caf97ab941e  torbrowser-install-7.5.6_en-US.exe<br />
But the checksum file shows:<br />
c3c1f97bfc5edd52c62d18826cc7f292a45cbd3e24fa33cac269aed25385c292  torbrowser-install-7.5.6_en-US.exe<br />
Even tried downloading from the onion site and still fails.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-276159"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276159" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">July 18, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-276110" class="permalink" rel="bookmark">Any idea why verifying…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-276159">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276159" class="permalink" rel="bookmark">Comparehttps://dist…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Compare<br />
<a href="https://dist.torproject.org/torbrowser/7.5.6/sha256sums-signed-build.txt" rel="nofollow">https://dist.torproject.org/torbrowser/7.5.6/sha256sums-signed-build.txt</a><br />
vs<br />
<a href="https://dist.torproject.org/torbrowser/7.5.6/sha256sums-unsigned-build.txt" rel="nofollow">https://dist.torproject.org/torbrowser/7.5.6/sha256sums-unsigned-build…</a></p>
<p>It looks like you're downloading the signed Tor Browser package, and then trying to compare the hash listed in the "unsigned" list.</p>
<p>(Your hash looks fine to me, for the signed one.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-276139"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276139" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Hacking 0.3.3.8 (not verified)</span> said:</p>
      <p class="date-time">July 14, 2018</p>
    </div>
    <a href="#comment-276139">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276139" class="permalink" rel="bookmark">lastest version @0.3.3.8
…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>lastest version @0.3.3.8</p>
<p>Some party is actively hacking tor: for the 1st time me using tor (from log):</p>
<p>src/or/routerparse.c:4575:56: runtime error: signed integer overflow: -2146441967 - 2146523136 cannot be represented in type 'int'<br />
src/or/routerparse.c:4643:48: runtime error: signed integer overflow: -2146441946 - 2146523136 cannot be represented in type 'int'<br />
src/or/routerparse.c:1023:56: runtime error: signed integer overflow: -2146441946 - 2146523136 cannot be represented in type 'int'<br />
src/or/routerparse.c:2470:29: runtime error: signed integer overflow: -2147483379 - 2147483598 cannot be represented in type 'int'<br />
src/or/parsecommon.c:61:32: runtime error: signed integer overflow: -2147483379 - 2147483598 cannot be represented in type 'int'<br />
src/or/parsecommon.c:276:29: runtime error: signed integer overflow: -2147483379 - 2147483598 cannot be represented in type 'int'<br />
src/or/parsecommon.c:279:11: runtime error: signed integer overflow: -2147483617 - 2147483598 cannot be represented in type 'int'<br />
src/or/parsecommon.c:160:43: runtime error: signed integer overflow: -2147483617 - 2147483600 cannot be represented in type 'int'</p>
<p>'signed integer overflow', they are trying to blow up my 0.3.3.8 tor client<br />
plz. fix it ASAP, thz</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-276145"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276145" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 15, 2018</p>
    </div>
    <a href="#comment-276145">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276145" class="permalink" rel="bookmark">Somewhat offtopic, but the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Somewhat offtopic, but the newly released version of Orfox ("Torbrowser for Android") from the GuardianProject repo and site is very slow on my device, and a serious memory hog - I had to downgrade temporarily.  Can anyone else reproduce this issue? It doesn't seem to be a problem on desktop TB.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-276151"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276151" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 16, 2018</p>
    </div>
    <a href="#comment-276151">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276151" class="permalink" rel="bookmark">I have seen version 0.3.3.9…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have seen version 0.3.3.9 not mentioned here. What appens?<br />
Thank you</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-276155"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276155" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">July 17, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-276151" class="permalink" rel="bookmark">I have seen version 0.3.3.9…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-276155">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276155" class="permalink" rel="bookmark">Now it is posted:https:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Now it is posted:<br />
<a href="https://blog.torproject.org/new-release-tor-0339-bridge-authority-update#comments" rel="nofollow">https://blog.torproject.org/new-release-tor-0339-bridge-authority-updat…</a><br />
(I was waiting for Debian packages to be out.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-276160"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276160" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Dennis (not verified)</span> said:</p>
      <p class="date-time">July 18, 2018</p>
    </div>
    <a href="#comment-276160">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276160" class="permalink" rel="bookmark">I just downloaded and…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I just downloaded and installed Tor Browser onto Windows 7 and it did not work. Did you stop support of Windows 7 before Microsoft?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-276162"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276162" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">July 18, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-276160" class="permalink" rel="bookmark">I just downloaded and…</a> by <span>Dennis (not verified)</span></p>
    <a href="#comment-276162">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276162" class="permalink" rel="bookmark">No, it should still work.
…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No, it should still work.</p>
<p>You probably have some antivirus thing getting in the way. Or your clock/date/timezone is wrong.</p>
<p>Maybe<br />
<a href="https://support.torproject.org/#connecting-2" rel="nofollow">https://support.torproject.org/#connecting-2</a><br />
will help.</p>
<p>Good luck!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
